package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.PoNotice;

import java.util.List;

/**
 * 通知公告表 数据层
 *
 * @author blue
 */
public interface PoNoticeMapper {
    /**
     * 查询公告信息
     *
     * @param newsId 公告ID
     * @return 公告信息
     */
    PoNotice selectPoNoticeById(Long newsId);

    /**
     * 查询公告列表
     *
     * @param news 公告信息
     * @return 公告集合
     */
    List<PoNotice> selectPoNoticeList(PoNotice news);

    /**
     * 新增公告
     *
     * @param news 公告信息
     * @return 结果
     */
    int insertPoNotice(PoNotice news);

    /**
     * 修改公告
     *
     * @param news 公告信息
     * @return 结果
     */
    int updatePoNotice(PoNotice news);

    /**
     * 批量删除公告
     *
     * @param newsId 公告ID
     * @return 结果
     */
    int deletePoNoticeById(Long newsId);

    /**
     * 批量删除公告信息
     *
     * @param newsIds 需要删除的公告ID
     * @return 结果
     */
    int deletePoNoticeByIds(Long[] newsIds);
}
